package com.neusoft.smart.pos.payorder.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class PayRefundOrder implements Serializable {
    private Integer id;

    private String refundNumber;

    private String mOrderNumber;

    private String tradeId;

    private String payRefundOrderNumber;

    private String mcode;

    private String outerOrderNumber;

    private String payType;

    private String payTypeName;

    private String refundNotifyUrl;

    private String thirdRefundNumber;

    private Long refundedAmount;

    private String refundStatus;

    private Date refundedTime;

    private String requestDetailInfo;

    private String resultDetailInfo;

    private Integer version;

    private Date createdAt;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRefundNumber() {
        return refundNumber;
    }

    public void setRefundNumber(String refundNumber) {
        this.refundNumber = refundNumber == null ? null : refundNumber.trim();
    }

    public String getmOrderNumber() {
        return mOrderNumber;
    }

    public void setmOrderNumber(String mOrderNumber) {
        this.mOrderNumber = mOrderNumber == null ? null : mOrderNumber.trim();
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId == null ? null : tradeId.trim();
    }

    public String getPayRefundOrderNumber() {
        return payRefundOrderNumber;
    }

    public void setPayRefundOrderNumber(String payRefundOrderNumber) {
        this.payRefundOrderNumber = payRefundOrderNumber == null ? null : payRefundOrderNumber.trim();
    }

    public String getMcode() {
        return mcode;
    }

    public void setMcode(String mcode) {
        this.mcode = mcode == null ? null : mcode.trim();
    }

    public String getOuterOrderNumber() {
        return outerOrderNumber;
    }

    public void setOuterOrderNumber(String outerOrderNumber) {
        this.outerOrderNumber = outerOrderNumber == null ? null : outerOrderNumber.trim();
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType == null ? null : payType.trim();
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName == null ? null : payTypeName.trim();
    }

    public String getRefundNotifyUrl() {
        return refundNotifyUrl;
    }

    public void setRefundNotifyUrl(String refundNotifyUrl) {
        this.refundNotifyUrl = refundNotifyUrl == null ? null : refundNotifyUrl.trim();
    }

    public String getThirdRefundNumber() {
        return thirdRefundNumber;
    }

    public void setThirdRefundNumber(String thirdRefundNumber) {
        this.thirdRefundNumber = thirdRefundNumber == null ? null : thirdRefundNumber.trim();
    }

    public Long getRefundedAmount() {
        return refundedAmount;
    }

    public void setRefundedAmount(Long refundedAmount) {
        this.refundedAmount = refundedAmount;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus == null ? null : refundStatus.trim();
    }

    public Date getRefundedTime() {
        return refundedTime;
    }

    public void setRefundedTime(Date refundedTime) {
        this.refundedTime = refundedTime;
    }

    public String getRequestDetailInfo() {
        return requestDetailInfo;
    }

    public void setRequestDetailInfo(String requestDetailInfo) {
        this.requestDetailInfo = requestDetailInfo == null ? null : requestDetailInfo.trim();
    }

    public String getResultDetailInfo() {
        return resultDetailInfo;
    }

    public void setResultDetailInfo(String resultDetailInfo) {
        this.resultDetailInfo = resultDetailInfo == null ? null : resultDetailInfo.trim();
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }
}